[sata_sil][sata->ide-bridg] failed to set xfermode

Bug #153096 reported by Svein Tore on 2007-10-15
16
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
linux (Ubuntu)
High
Unassigned
Nominated for Gutsy by Svein Tore
linux-source-2.6.22 (Ubuntu)
High
Amit Kucheria
Nominated for Gutsy by Svein Tore

Bug Description

Fresh install of Gutsy 7.10. Kernel version:
2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

Steps to reproduce:
1. Put in LiveCD of Ubuntu Gutsy RC.
2. Ubuntu starts and errors occours right away.
3. Also occours after a install of Gutsy.

One of the disks are recognized, a WesternDigital 3200 SATA disk.
The one not recognized is also a WesternDigital 1200 disk, IDE/PATA using PATA->SATA adapter.
This disk worked perfectly under the kernels I tried using Ubuntu 7.04.

I might add that it's not broken and still works perfectly under Vista.
I have tried to add the "irqpoll" option when launching Ubuntu as suggested many placed with people receiving this error message, but nothing changes.

If you investigate the dmesg log you'll see that it does indeed "find" the disk, but for some reason it can't connect/use it.

Disk (SATA) controller:

SiI 3112 [SATALink/SATARaid] Serial ATA Controller

lspci (detailed version attached below):

00:00.0 Host bridge: nVidia Corporation nForce2 AGP (different version?) (rev c1)
00:00.1 RAM memory: nVidia Corporation nForce2 Memory Controller 1 (rev c1)
00:00.2 RAM memory: nVidia Corporation nForce2 Memory Controller 4 (rev c1)
00:00.3 RAM memory: nVidia Corporation nForce2 Memory Controller 3 (rev c1)
00:00.4 RAM memory: nVidia Corporation nForce2 Memory Controller 2 (rev c1)
00:00.5 RAM memory: nVidia Corporation nForce2 Memory Controller 5 (rev c1)
00:01.0 ISA bridge: nVidia Corporation nForce2 ISA Bridge (rev a3)
00:01.1 SMBus: nVidia Corporation nForce2 SMBus (MCP) (rev a2)
00:02.0 USB Controller: nVidia Corporation nForce2 USB Controller (rev a3)
00:02.1 USB Controller: nVidia Corporation nForce2 USB Controller (rev a3)
00:02.2 USB Controller: nVidia Corporation nForce2 USB Controller (rev a3)
00:04.0 Ethernet controller: nVidia Corporation nForce2 Ethernet Controller (rev a1)
00:08.0 PCI bridge: nVidia Corporation nForce2 External PCI Bridge (rev a3)
00:09.0 IDE interface: nVidia Corporation nForce2 IDE (rev a2)
00:0d.0 FireWire (IEEE 1394): nVidia Corporation nForce2 FireWire (IEEE 1394) Controller (rev a3)
00:1e.0 PCI bridge: nVidia Corporation nForce2 AGP (rev c1)
01:06.0 Network controller: RaLink RT2561/RT61 802.11g PCI
01:08.0 Multimedia audio controller: Creative Labs SB Audigy (rev 03)
01:08.1 Input device controller: Creative Labs SB Audigy Game Port (rev 03)
01:08.2 FireWire (IEEE 1394): Creative Labs SB Audigy FireWire Port
01:09.0 Network controller: Cologne Chip Designs GmbH ISDN network controller [HFC-PCI] (rev 02)
01:0b.0 RAID bus controller: Silicon Image, Inc. SiI 3112 [SATALink/SATARaid] Serial ATA Controller (rev 02)
02:00.0 VGA compatible controller: ATI Technologies Inc Radeon R350 [Radeon 9800 Pro]
02:00.1 Display controller: ATI Technologies Inc Radeon R350 [Radeon 9800 Pro] (Secondary)

Log files attached.

Svein Tore (sveint) wrote :

Forgot to mention that 7.04 didn't have this problem and both my drives worked perfectly.

Brian Murray (brian-murray) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage. I have classified this bug as a bug in linux-source-2.6.22.

Svein Tore (sveint) wrote :

Thanks! Tried searching for kernel-source, but couldn't find 2.6.22. Should've figured.

Svein Tore (sveint) wrote :

More detailed lspci output.

description: updated
Svein Tore (sveint) wrote :
Svein Tore (sveint) wrote :

So, what can I do now? I can't use Gutsy as long as I have this problem, so I'd be happy to provide more info or help. Seeing as it's not been confirmed nor set as lacking information - what's next?

Svein Tore (sveint) wrote :

Forgot to mention that I just tried final release of Gutsy, but no improvement.

description: updated
description: updated
Svein Tore (sveint) on 2007-10-19
description: updated

Hi Svein, I'm reassigning to the kernel team for them to look at. Thanks!

Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → High
status: New → Triaged
Janosch Peters (jp-binford3000) wrote :

I get the same error if my SATA-Controller(JMicron) is enabled. Ubuntu drops into a BusyBox shell, cause its the only harddisk I have in my pc. If I disable the SATA controller, ubuntu boots up, but my DVD-Drive isn't recognized. I added the "irqpoll" option to grub as suggested in many places, but that didn't make a difference.

acacha (sergi-tur) wrote :
Svein Tore (sveint) wrote :

acacha: No, those bugs are most likely not related at all. Keep in mind that my system works in Feisty, and that IRQPOLL "solution" does not work.

So, everyone, before "confirming" this bug, please make sure that your disk works in Feisty, but not in Gutsy. Or that you're certain that it's the same bug by other means. I believe the bug could be easily fixed since it's just something that was changed from 2.6.20 to 2.6.22, but I have no real knowledge about these things. That said, thanks for the input.

StarNamer (derek-valedon) wrote :

I'm getting similare "failed to set xfermode" errors with a CDROM under 2.6.22 (ubuntu 7.10) which works fine with 2.6.20 (7.04)

kernel: [ 101.398122] ata_piix 0000:00:07.1: version 2.11
kernel: [ 101.398763] scsi0 : ata_piix
kernel: [ 101.398986] scsi1 : ata_piix
kernel: [ 101.399100] ata1: PATA max UDMA/33 cmd 0x000101f0 ctl 0x000103f6 bmdma 0x0001f000 irq 14
kernel: [ 101.399115] ata2: PATA max UDMA/33 cmd 0x00010170 ctl 0x00010376 bmdma 0x0001f008 irq 15
kernel: [ 104.698151] ata1.01: ATAPI: CDA86801ISE, F1.05000, max PIO3
kernel: [ 104.709735] ata1.01: failed to set xfermode (err_mask=0x1)
kernel: [ 104.709796] ata1: failed to recover some devices, retrying in 5 secs
kernel: [ 110.059836] ata1.01: failed to set xfermode (err_mask=0x1)
kernel: [ 110.059901] ata1.01: limiting speed to PIO2
kernel: [ 110.059910] ata1: failed to recover some devices, retrying in 5 secs
kernel: [ 115.410372] ata1.01: failed to set xfermode (err_mask=0x1)
kernel: [ 115.410427] ata1.01: disabled
kernel: [ 116.078919] ata2.00: ATA-6: SAMSUNG SV4084H, PM100-22, max UDMA/100
kernel: [ 116.078935] ata2.00: 79730784 sectors, multi 0: LBA
kernel: [ 116.086822] ata2.00: configured for UDMA/33

Obviously, this may not be related. Naturally the 'irqpoll' fix doesn't help because it's finding the controller and drive and just failing to configure it.

EvilNed (evilned) wrote :

I suffer from the same problem. acpi=off doesn't help and neither does all_generic_ide. The kernel from 7.04 does boot my system perfectly, only 2.6.22 seems to have this issue. Motherboard is a an A7n8x Asus nforce 2 board with a built in Silicon Image 3112 SATA controller. The hard drive that is not detected is an older Maxtor 40gig hd with a sata conversion card connected to it. Here is the last bit of the dmesg.

[ 740.070856] ata2.00: failed to IDENTIFY (I/O error, err_mask=0x100)
[ 740.070863] ata2.00: limiting speed to UDMA7:PIO5
[ 740.573559] ata2: hard resetting port
[ 741.452289] ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
[ 741.460262] WARNING: at /build/buildd/linux-source-2.6.22-2.6.22/drivers/ata/libata-core.c:4801 ata_hsm_move()
[ 741.460293] [<f892b0fb>] ata_hsm_move+0x16b/0x740 [libata]
[ 741.460328] [<c0131470>] process_timeout+0x0/0x10
[ 741.460338] [<c02f2d57>] schedule_timeout+0x47/0xd0
[ 741.460350] [<f892f527>] ata_pio_task+0x27/0xf0 [libata]
[ 741.460367] [<f892f500>] ata_pio_task+0x0/0xf0 [libata]
[ 741.460378] [<c0138331>] run_workqueue+0x81/0x110
[ 741.460384] [<c013bf80>] prepare_to_wait+0x20/0x70
[ 741.460391] [<c0138d30>] worker_thread+0x0/0x100
[ 741.460395] [<c0138dd0>] worker_thread+0xa0/0x100
[ 741.460400] [<c013bdd0>] autoremove_wake_function+0x0/0x50
[ 741.460406] [<c0138d30>] worker_thread+0x0/0x100
[ 741.460409] [<c013bb12>] kthread+0x42/0x70
[ 741.460412] [<c013bad0>] kthread+0x0/0x70
[ 741.460417] [<c0105487>] kernel_thread_helper+0x7/0x10
[ 741.460426] =======================
[ 741.460808] ata2.00: failed to IDENTIFY (I/O error, err_mask=0x100)
[ 741.963525] ata2: hard resetting port
[ 742.842251] ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
[ 742.842271] ata2: EH pending after completion, repeating EH (cnt=3)
[ 742.842281] ata2: exception Emask 0x10 SAct 0x0 SErr 0x0 action 0x1

Svein Tore (sveint) wrote :

Thanks for the contributions both of you. Good to see I'm not alone, especially the last one (EvilNed) seems to be identical to my issue. Hopefully someone will look into this soon.

Changed in linux-source-2.6.22:
assignee: ubuntu-kernel-team → amitk
Oleksij Rempel (olerem) wrote :

Hi Svein,

The Hardy Heron 2.6.24 kernel was recently uploaded and is available for testing. Care to try installing this newer kernel and verify if this issue still exists? Please report back your results. Thanks!

Changed in linux:
status: New → Incomplete
Svein Tore (sveint) wrote :

I would love to try, but I am not sure how to proceed. Can I safely install it on feisty? And where do I get this kernel from and instructions on how to install? I checked out the Hardy Heron alpha, but it seems like it uses 2.6.22-14, so I got no livecd options?

Thanks in advance

Hi Svein,

Unfortunately the Hardy Heron Alpha1 was released with the 2.6.22 kernel. Alpha2 should have the new 2.6.24 kernel. However, in the meantime, you should be able to temporarily install and test the new Hardy kernel. Here are the instructions to do so:

1) edit your /etc/apt/sources.list and add the following lines (replace <mirror> with whatever mirror you are currently using in your
sources.list file):

deb <mirror> hardy main restricted
deb-src <mirror> hardy main restricted

2) sudo apt-get update
3) sudo apt-get install linux-image-2.6.24-1-generic
4) reboot and make sure to select the newer kernel from the grub menu

After you've tested, feel free to revert back - ie boot into old kernel, sudo apt-get remove linux-image-2.6.24-1-generic, remove lines from
/etc/apt/sources.list

Thanks!

Ned Konz (ned-bike-nomad) wrote :

Just had this problem with a new Abit mobo and SATA drive. Install went fine (using Gutsy DVD), but reboot hung as described. Going into the BIOS and changing the SATA controller mode from "IDE" to "AHCI" solved the problem.

Svein Tore (sveint) wrote :

Thanks for the instructions, worked great.

However, it didn't fix the problem. It seems like it gives a little more detailed output, but the disk still will not mount/detect.

Please tell me if there's something more I can do.

Log attached.

Oleksij Rempel (olerem) wrote :

1. Please subscribe the upstream bug:
http://bugzilla.kernel.org/show_bug.cgi?id=9505

2. Please report upstream which bridge chip are you using.

Oleksij Rempel (olerem) wrote :

you need take latest git from www.kernel.org and compile it with provided debug.patch from link in my post before . If you can't ask :) or better google.

If it really hard to do this you can test this packaged kernel , but i don't guaranty any thing.
http://rapidshare.com/files/74507917/linux-image-2.6.24-1-generic_2.6.24-1.1_i386.deb
and then: sudo dpkg -i linux-image-2.6.24-1-generic_2.6.24-1.1_i386.deb

Svein Tore (sveint) wrote :

Installed the deb which worked fine. However, the dmesg log file seems capped and only includes the last data. I hope though that it contains what you wanted, otherwise tell me and I'll try it again and try to get all the data.

And what did you mean by "1. Please subscribe the upstream bug" ? I don't see any subscription options there...

Thanks a lot for the help so far

Oleksij Rempel (olerem) wrote :

1. use this "cat /var/log/dmesg > dmesg" it should help provide you complete log.
2. i do not think some one in ubuntu kernel team can fix it, so the best way to make it work is upstream. This linux-image-xxx.deb made from source you can find on www.kernel.org, bugs in kernel will be fixed on bugzilla.kernel.org . The best way for you is to fallow this link : http://bugzilla.kernel.org/show_bug.cgi?id=9505
This is copy of this bug report upstream.

Svein Tore (sveint) wrote :

That didn't work, but it was saved way down in kern.log so I found it eventually. Attached below, will attach it to bugzilla.kernel.org aswell.

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Incomplete → Triaged
Changed in linux:
status: Unknown → In Progress
Svein Tore (sveint) wrote :

fishor: A fix has been released for tryout. I tried to compile it myself, but I get errors when compiling the kernel (unrelated to the fix I think) so it won't compile. Do you think you could compile it for me like the last one if it's not much trouble?

Oleksij Rempel (olerem) wrote :

You should try it again. Here is good howto...
http://www.howtoforge.com/kernel_compilation_ubuntu

And here is cat of my bash history, this will make work for you more easy.

 sudo apt-get install kernel-package libncurses5-dev fakeroot wget bzip2
 wget http://kernel.org/pub/linux/kernel/v2.6/linux-2.6.23.tar.bz2
 wget http://www.kernel.org/pub/linux/kernel/v2.6/testing/patch-2.6.24-rc4.bz2
 bzip2 -cd linux-2.6.23.tar.bz2 | tar xf -
 cd linux-2.6.23
 bzip2 -cd ../patch-2.6.24-rc4.bz2 | patch -p1
 cat /home/lex/Desktop/sata_sil-irq-fix.patch | patch -p1
 make menuconfig ( or copy attached config file to your linux-2.6.23 folder and rename this file to .config !!! point is important !!! )
 make-kpkg clean
 fakeroot make-kpkg --initrd --append-to-version=-patched kernel_image kernel_headers
 cd ..
 sudo dpkg -i linux-image-2.6.24-rc4-patched_2.6.24-rc4-patched-10.00.Custom_i386.deb

Svein Tore (sveint) wrote :

I followed that how-to the first time when it didn't work.

Now I followed your steps and it comppiled fine. However the .deb package is broken so it won't install for some reason. Also my partition had tons of errors on it after a reboot, so I guess it could be related. I would be grateful if you have the time to compile for me, although I now know it's very time consuming :) Otherwise I'll guess I'll have to try again later sometime or wait for a released kernel. Thanks a lot for the help, good to see it's seemingly fixed.

Oleksij Rempel (olerem) wrote :

Here is my kernel i use on my system for debug purpose, there is no sound and should be no network for you. sata_sil is enabled and patched, at leas this should work.
http://rapidshare.com/files/74878489/linux-image-2.6.24-rc4-patched_2.6.24-rc4-patched-10.00.Custom_i386.deb

check if it complete:
md5sum linux-image-2.6.24-rc4-patched_2.6.24-rc4-patched-10.00.Custom_i386.deb
should be: 8c6198b90c2cf050023d9e4529aab838

to install use:
sudo dpkg -i linux-image-2.6.24-rc4-patched_2.6.24-rc4-patched-10.00.Custom_i386.deb

to remove:
sudo dpkg -r linux-image-2.6.24-rc4-patched

Changed in linux:
status: In Progress → Confirmed
Changed in linux:
status: Confirmed → Fix Released
Ben Collins (ben-collins) wrote :

Tim, please look into the upstream status of the patch on the kernel bugzilla. See if it's integrated, and if not, see about merging this patch into our tree.

Thanks

Changed in linux:
assignee: ubuntu-kernel-team → timg-tpi
status: Triaged → In Progress
Ben Collins (ben-collins) wrote :

Amit, this looks like a good candidate for a an update in gutsy. Minimal change, tested upstream.

Changed in linux-source-2.6.22:
status: Triaged → In Progress
Changed in linux:
importance: Medium → High
Tim Gardner (timg-tpi) wrote :

This patch hasn't been accepted upstream yet.

Hardy Heron Alpha2 was recently released. It contains an updated version of the kernel. You can download and try the new Hardy Heron Alpha2 release from http://cdimage.ubuntu.com/releases/hardy/alpha-2/ . You should be able to then test the new kernel via the LiveCD. If you can, please verify if this bug still exists or not and report back your results. General information regarding the release can also be found here: http://www.ubuntu.com/testing/hardy/alpha2 . Thanks!

Changed in linux:
status: In Progress → Incomplete
Amit Kucheria (amitk) wrote :

commit a21d5350a950cffaabd443ca7855c52dc06c36fb in the gutsy tree

Changed in linux-source-2.6.22:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-source-2.6.22 - 2.6.22-14.51

---------------
linux-source-2.6.22 (2.6.22-14.51) gutsy-security; urgency=low

  [Amit Kucheria]

  * Poulsbo: Mass update of all patches from moblin repo
  * Update config.lpia to reflect new patches
  * [sata_sil][sata->ide-bridg] failed to set xfermode
    - LP: #153096
  * Poulsbo: remove extra patch

  [Kees Cook]

  * fix NFSv4 client mount regression
    - LP: #164231

  [Tim Gardner]

  * Support of new AMD PowerNow! (family 0x11 and beyond)
    - LP: #185649

  [Upstream Kernel Changes]

  * minixfs: limit minixfs printks on corrupted dir i_size (CVE-2006-6058)
  * [JFFS2] Fix ACL vs. mode handling. (CVE-2007-4849)
  * [IEEE80211]: avoid integer underflow for runt rx frames (CVE-2007-4997)
  * [TCP]: Make sure write_queue_from does not begin with NULL ptr
    (CVE-2007-5501)
  * wait_task_stopped: Check p->exit_state instead of TASK_TRACED
    (CVE-2007-5500)
  * fix DLM regression
  * CVE-2008-0001: Use access mode instead of open flags to determine
    needed permissions
  * hrtimers: avoid overflow for large relative timeouts (CVE-2007-5966)
  * isdn: avoid copying overly-long strings (CVE-2007-6063)
  * I4L: fix isdn_ioctl memory overrun vulnerability (CVE-2007-6151)
  * vfs: coredumping fix (CVE-2007-6206)
  * tmpfs: restore missing clear_highpage (CVE-2007-6417)
  * [UBUNTU] fs/dlm: Fix regression introduced with last security fix.

 -- Tim Gardner <email address hidden> Mon, 28 Jan 2008 13:46:21 -0700

Changed in linux-source-2.6.22:
status: Fix Committed → Fix Released
Thomas Haber (thomas-toem) wrote :

Hallo,

I received new kernel 2.6.22-14 today.
But my ide card still not working:

[ 193.532000] pccard: PCMCIA card inserted into slot 2
[ 193.532000] cs: memory probe 0xf7d00000-0xf7dfffff: excluding 0xf7d00000-0xf7d1ffff 0xf7df0000-0xf7dfffff
[ 193.540000] pcmcia: registering new device pcmcia2.0
[ 193.936000] scsi2 : pata_pcmcia
[ 193.936000] ata3: PATA max PIO0 cmd 0x0001d140 ctl 0x0001d14e bmdma 0x00000000 irq 3
[ 194.108000] ata3.00: ATA-0: TOSHIBA MK5002MPL, V2.10 A, max PIO2
[ 194.108000] ata3.00: 9818550 sectors, multi 16: LBA
[ 194.108000] ata3.00: failed to set xfermode (err_mask=0x1)
[ 194.108000] ata3: failed to recover some devices, retrying in 5 secs
[ 199.284000] ata3.00: failed to set xfermode (err_mask=0x1)
[ 199.284000] ata3: failed to recover some devices, retrying in 5 secs
[ 204.460000] ata3.00: failed to set xfermode (err_mask=0x1)
[ 204.460000] ata3.00: disabled
[ 332.880000] pccard: card ejected from slot 2

What do i wrong ?
regards,
thomas

Tim Gardner (timg-tpi) wrote :

Fix appeared in 2.6.24.

Changed in linux:
assignee: timg-tpi → nobody
milestone: none → hardy-alpha-5
status: Incomplete → Fix Released
Svein Tore (sveint) wrote :

Thomas:

I don't think your problem was related to this bug. What kind of SATA controller du you have? This bug-fix was as far as I know for Silicon Image controller only.

Download full text (3.6 KiB)

Hallo Svein,

the bug description was close to what i see.
I got a Toshiba Type II PC Card HDD 5G

regards,
thomas
> Thomas:
>
> I don't think your problem was related to this bug. What kind of SATA
> controller du you have? This bug-fix was as far as I know for Silicon
> Image controller only.
>
> --
> [sata_sil][sata->ide-bridg] failed to set xfermode
> https://bugs.launchpad.net/bugs/153096
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: Fix Released
> Status in Source Package "linux" in Ubuntu: Fix Released
> Status in Source Package "linux-source-2.6.22" in Ubuntu: Fix Released
>
> Bug description:
> Fresh install of Gutsy 7.10. Kernel version:
> 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux
>
> Steps to reproduce:
> 1. Put in LiveCD of Ubuntu Gutsy RC.
> 2. Ubuntu starts and errors occours right away.
> 3. Also occours after a install of Gutsy.
>
> One of the disks are recognized, a WesternDigital 3200 SATA disk.
> The one not recognized is also a WesternDigital 1200 disk, IDE/PATA using
> PATA->SATA adapter.
> This disk worked perfectly under the kernels I tried using Ubuntu 7.04.
>
> I might add that it's not broken and still works perfectly under Vista.
> I have tried to add the "irqpoll" option when launching Ubuntu as
> suggested many placed with people receiving this error message, but
> nothing changes.
>
> If you investigate the dmesg log you'll see that it does indeed "find" the
> disk, but for some reason it can't connect/use it.
>
> Disk (SATA) controller:
>
> SiI 3112 [SATALink/SATARaid] Serial ATA Controller
>
> lspci (detailed version attached below):
>
> 00:00.0 Host bridge: nVidia Corporation nForce2 AGP (different version?)
> (rev c1)
> 00:00.1 RAM memory: nVidia Corporation nForce2 Memory Controller 1 (rev
> c1)
> 00:00.2 RAM memory: nVidia Corporation nForce2 Memory Controller 4 (rev
> c1)
> 00:00.3 RAM memory: nVidia Corporation nForce2 Memory Controller 3 (rev
> c1)
> 00:00.4 RAM memory: nVidia Corporation nForce2 Memory Controller 2 (rev
> c1)
> 00:00.5 RAM memory: nVidia Corporation nForce2 Memory Controller 5 (rev
> c1)
> 00:01.0 ISA bridge: nVidia Corporation nForce2 ISA Bridge (rev a3)
> 00:01.1 SMBus: nVidia Corporation nForce2 SMBus (MCP) (rev a2)
> 00:02.0 USB Controller: nVidia Corporation nForce2 USB Controller (rev a3)
> 00:02.1 USB Controller: nVidia Corporation nForce2 USB Controller (rev a3)
> 00:02.2 USB Controller: nVidia Corporation nForce2 USB Controller (rev a3)
> 00:04.0 Ethernet controller: nVidia Corporation nForce2 Ethernet
> Controller (rev a1)
> 00:08.0 PCI bridge: nVidia Corporation nForce2 External PCI Bridge (rev
> a3)
> 00:09.0 IDE interface: nVidia Corporation nForce2 IDE (rev a2)
> 00:0d.0 FireWire (IEEE 1394): nVidia Corporation nForce2 FireWire (IEEE
> 1394) Controller (rev a3)
> 00:1e.0 PCI bridge: nVidia Corporation nForce2 AGP (rev c1)
> 01:06.0 Network controller: RaLink RT2561/RT61 802.11g PCI
> 01:08.0 Multimedia audio controller: Creative Labs SB Audigy (rev 03)
> 01:08.1 Input device controller: Creative Labs SB Audigy Game Port (rev
> 03)
> 01:08.2 FireWire (IEEE 1394): Creative Lab...

Read more...

Changed in linux:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.